# for the future
%define has_rhnlib 1


Summary: Panel applet for indication that newer Red Hat packages are available
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Patch1: rhn-applet-2.1.17-PU_IAS-fixes.patch
Name: rhn-applet
URL: https://rhn.redhat.com/
Version: 2.1.17
Release: 5.PU_IAS.1
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 2.2.1
BuildRequires: python-devel >= 2.2.1
Requires: rpm-python
%if %{has_rhnlib}
Requires: rhnlib >= 1.4
%else
Requires: python-xmlrpc >= 1.5.0
%endif
Requires: pygtk2-libglade
Requires: up2date-gnome >= 4.1.5
Requires: pygtk2 >= 1.99.12-6
BuildRequires:  pygtk2-devel >= 1.99.12-6
Requires: gnome-python2 >= 1.99.11-7
Requires: libgnomeui >= 2.0.3-1
BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.2.0
BuildRequires: libgnomeui-devel >= 2.0.3-1
Requires: libgnome >= 2.0.2-5
Requires: gnome-python2-gtkhtml2

# should be provided by up2date or up2date-gnome, but just to be sure...
Requires: /usr/share/rhn/RHNS-CA-CERT

# for uuidgen, we need:
Requires: e2fsprogs

# for post section:
Requires: perl

%description
Panel applet for indication that newer Red Hat packages are available.

%prep
%if %{?RHNdevel:1}%{!?RHNdevel:0} 
%setup -c -q
%else 
%setup -q 
%endif 
%patch1 -p1 -b .pu_ias

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

%find_lang %{name}

%post
UUID=$(/usr/bin/uuidgen -t)
perl -p -i -e "s/UNSPECIFIED/$UUID/g" /etc/sysconfig/rhn/rhn-applet

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
/usr/bin/rhn-applet-gui
/usr/bin/rhn-applet-tui
/usr/share/rhn/rhn_applet/*.py
/usr/share/rhn/rhn_applet/*.pyc
/usr/share/rhn/rhn_applet/*.glade
/usr/share/rhn/rhn_applet/*.png
/usr/share/rhn/rhn_applet/*.so
/usr/share/pixmaps/*
/usr/share/applications/rhn-applet.desktop
%config(noreplace) /etc/sysconfig/rhn/rhn-applet
%doc doc/*

%changelog
* Tue Nov 9 2004 Adrian Likins <alikins@redhat.com> 2.1.17-1
- fix #138369

* Tue Oct 18 2004 Adrian Likins <alikins@redhat.com> 2.1.16-1
- fix #135735

* Tue Oct 12 2004 Adrian Likins <alikins@redhat.com> 2.1.14-1
- fix #135392
- fix #135092

* Fri Oct 8 2004 Adrian Likins <alikins@redhat.com> 2.1.13-1
- the last change broke normal remind cases #135092

* Tue Oct 5 2004 Adrian Likins <alikins@redhat.com> 2.1.12-1
- be a bit more accurate about folks we remind to
  register, this time including registered, but
  not currently entitled systems
- add server capabilities support to the applet

* Thu Sep 23 2004 Adrian Likins <alikins@redhat.com> 2.1.11-1
- more content changes

* Wed Sep 15 2004 Adrian Likins <alikins@redhat.com> 2.1.10-1
- we would of nagged people when they shouldnt be
  nagged, fix

* Tue Sep 14 2004 Adrian Likins <alikins@redhat.com> 2.1.9-1
- implement a friendly reminder to register with 
  Red Hat Network
- make sure we do it every three days, not
  every 5 seconds

* Wed Jan 21 2004 Daniel Veillard <veillard@redhat.com> 2.1.7-1
- trying to fix StopIteration exception on RPM iterators
- string update.

* Tue Jan 20 2004 Daniel Veillard <veillard@redhat.com> 2.1.6-1
- Fixing a couple of problems with Apt support

* Fri Jan  9 2004 Daniel Veillard <veillard@redhat.com> 2.1.5-1
- Adding FTP network protocol support
- Adding APT repositories support
- translation strings update

* Wed Nov 26 2003 Daniel Veillard <veillard@redhat.com> 2.1.4-3
- pushing an update for Fedora Core 1
- fixed HTTP(S) redirection and file:/// access for Yum repositories
  bug #108737 and related
- fixed the requirement to register which doesn't make sense in Fedora Core
  bugs #109502 #107690 and related

* Fri Oct 24 2003 Daniel Veillard <veillard@redhat.com> 2.1.2-1
- Fixing bugs #107415 #107690
- translation strings update

* Thu Oct 16 2003 Daniel Veillard <veillard@redhat.com> 2.1.1-1
- added proxy support for yum repositories, tested https too
- add repositories error reporting
- fixed spec for build requirements #102814
- translation strings update

* Wed Oct 15 2003 Daniel Veillard <veillard@redhat.com> 2.1.0-1
- added support needed for Fedora Core: Yum repositories,
  multiple sources, and possibly no RHN channel
- translation strings update

* Tue Sep 30 2003 Daniel Veillard <veillard@redhat.com> 2.0.12-1
- Fix intermittent "1 pixel wide" long standing bug #75225
- translation strings update

* Mon Sep 15 2003 Daniel Veillard <veillard@redhat.com> 2.0.11-1
- translation strings update
- renice the applet as suggested in #104427

* Thu Sep  4 2003 Daniel Veillard <veillard@redhat.com> 2.0.10-4
- translation strings update from 2.0.10-[12]

* Thu Mar  6 2003 Daniel Veillard <veillard@redhat.com> 2.0.9-0.9.0.1
- preparing a new errata release for version 8 and 9

* Thu Mar  6 2003 Daniel Veillard <veillard@redhat.com> 2.0.9-1
- version 2.0.9 fixes a memory leak introduced in 2.0.8 due to a problem
  in rpm c.f. bug #85522

* Tue Feb 25 2003 Daniel Veillard <veillard@redhat.com> 2.0.8-0.8.0.2
- errata release for Red Hat 8.0 based on version 2.0.8-2

* Mon Feb  3 2003 Chip Turner <cturner@redhat.com>
- fix for bug in rpm version comparison when a NULL epoch compared to a 0 epoch

* Fri Jan  3 2003 Daniel Veillard <veillard@redhat.com> 2.0.7
- 2.0.7 merged po

* Fri Dec  6 2002 Daniel Veillard <veillard@redhat.com>
- 2.0.6 small cleanup fixing 65547

* Thu Dec  5 2002 Daniel Veillard <veillard@redhat.com>
- 2.0.5 added launcher for the web site from the menu

* Tue Dec  3 2002 Daniel Veillard <veillard@redhat.com>
- 2.0.4 rpm DB cache fix for bugs 75199 and 75946

* Wed Nov 27 2002 Daniel Veillard <veillard@redhat.com>
- replaced rpm404-python dependancy to rpm-python

* Tue Sep 10 2002 Chip Turner <cturner@redhat.com>
- fix Requires on librpm404 and python

* Thu Sep  5 2002 Chip Turner <cturner@redhat.com>
- update translations, re-enable tooltips

* Tue Sep  3 2002 Chip Turner <cturner@redhat.com>
- remove clap dependencies; python-clap was removed from distro
- documentation update with new pictures
- update Requires: for proper up2date version

* Mon Sep  2 2002 Chip Turner <cturner@redhat.com>
- force utf-8 charset for html widget; fix for bug 73279
- small fix to make animation cleaner; fixes visual defect of final frame

* Mon Sep  2 2002 Chip Turner <cturner@redhat.com>
- update translations
- new icons, fix slight graphical deformity

* Sat Aug 31 2002 Chip Turner <cturner@redhat.com>
- remove some debug info, update Requires to match non-leaky python modules
- fix for silly vercmp bug

* Fri Aug 30 2002 Chip Turner <cturner@redhat.com>
- simplify animation logic, fix rpmvercmp logic to match u2d

* Fri Aug 30 2002 Chip Turner <cturner@redhat.com>
- add proper libgnomeui requirement
- add libgnome requires for proper session handling
- better error reporting of communications errors
- fix html windows to use gtkhtml2
- fix for 72918
- update i18n strings
- update docs

* Wed Aug 28 2002 Chip Turner <cturner@redhat.com>
- python2, pygnome2. pygtk2, oh my!

* Wed May 29 2002 Adrian Likins <alikins@redhat.com>
- change code to use rhn.rpclib if its available
- spec file changes to make that easier

* Tue Apr 16 2002 Chip Turner <cturner@redhat.com>
- merge new translations; doc update; consistent use of same name

* Mon Apr 15 2002 Chip Turner <cturner@redhat.com>
- bugfixes
- i18n improvement
- i18n merg, more fixes

* Sat Apr 13 2002 Chip Turner <cturner@redhat.com>
- shuffle some functions around to simplify logic

* Fri Apr 12 2002 Chip Turner <cturner@redhat.com>
- added new image
- subdue visual alert if user has seen the report
- addition of watermark image for first time druid

* Fri Apr 12 2002 Chip Turner <cturner@redhat.com>
- merged tfox's help, added better exception catching
- graphics improvements, behavior adjustment

* Fri Apr 12 2002 Tammy Fox <tfox@redhat.com>
- added help
- replace @VERSION@ with version from spec file

* Thu Apr 11 2002 Chip Turner <cturner@redhat.com>
- add dependency on RHNS cert

* Thu Apr 11 2002 Chip Turner <cturner@redhat.com>
- stupid bugfix in state machine code

* Thu Apr 11 2002 Chip Turner <cturner@redhat.com>
- improve error handling, add error icon, bugfixes

* Wed Apr 10 2002 Chip Turner <cturner@redhat.com>
- bug fixes and text update to terms page

* Tue Apr  9 2002 Chip Turner <cturner@redhat.com>
- major bug fixes for proxy code, improved config dialog

* Tue Apr  9 2002 Chip Turner <cturner@redhat.com>
- add proxy support and config dialog
- move initial consent message to the config dialog druid

* Mon Apr  8 2002 Chip Turner <cturner@redhat.com>
- i18n update, graphics touchup

* Fri Apr  5 2002 Chip Turner <cturner@redhat.com>
- resized images to support 36x36 panel
- put icon on menu

* Fri Apr  5 2002 Chip Turner <cturner@redhat.com>
- minor graphical glitch updades

* Fri Apr  5 2002 Chip Turner <cturner@redhat.com>
- major core update to support antialiased pixmap icon

* Thu Mar 14 2002 Chip Turner <cturner@redhat.com>
- added proper Requires, changed to noarch

* Wed Mar 13 2002 Chip Turner <cturner@redhat.com>
- Initial creation, stolen from up2date spec

